org.apache.olingo.commons.api.edm

## Interface EdmTerm

- All Superinterfaces:
    EdmAnnotatable, EdmNamed

      public interface EdmTerm
      extends EdmNamed, EdmAnnotatable

  An `EdmTerm` defines a term in a vocabulary.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TargetType>` | `getAppliesTo()`
    `EdmTerm` | `getBaseTerm()` When applying a term with a base term,the base term MUST also be applied with the same qualifier, and so on until a term without a base term is reached.
    `String` | `getDefaultValue()`
    `FullQualifiedName` | `getFullQualifiedName()`
    `Integer` | `getMaxLength()`
    `Integer` | `getPrecision()`
    `Integer` | `getScale()`
    `SRID` | `getSrid()`
    `EdmType` | `getType()`
    `boolean` | `isNullable()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getType

          EdmType getType()

      Returns:
        type of value returned by the expression contained in an annotation using this term

    - #### getFullQualifiedName

          FullQualifiedName getFullQualifiedName()

      Returns:
        the fully qualified name of this term

    - #### getBaseTerm

          EdmTerm getBaseTerm()

      When applying a term with a base term,the base term MUST also be applied with the same qualifier, and so on until a term without a base term is reached.
      Returns:
        the base term if found or null otherwise

    - #### getAppliesTo

          List<TargetType> getAppliesTo()

      Returns:
        list of CSDL element that this term can be applied to; if no value is supplied, the term is not restricted in its application.

    - #### isNullable

          boolean isNullable()

      Returns:
        true if nullable

    - #### getMaxLength

          Integer getMaxLength()

      Returns:
        the maximum length as an Integer or null if not specified

    - #### getPrecision

          Integer getPrecision()

      Returns:
        the precision as an Integer or null if not specified

    - #### getScale

          Integer getScale()

      Returns:
        the scale as an Integer or null if not specified

    - #### getSrid

          SRID getSrid()

      Returns:
        a non-negative integer or the special value `variable`

    - #### getDefaultValue

          String getDefaultValue()

      Returns:
        the default value as a String or null if not specified

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.